ghc-7.0.4: The GHC API

LlvmMangler

Description

GHC LLVM Mangler

This script processes the assembly produced by LLVM, rearranging the code so that an info table appears before its corresponding function. We also use it to fix up the stack alignment, which needs to be 16 byte aligned but always ends up off by 4 bytes because GHC sets it to the `wrong` starting value in the RTS.

We only need this for Mac OS X, other targets don't use it.

Synopsis

- llvmFixupAsm :: FilePath -> FilePath -> IO ()

# Documentation

llvmFixupAsm :: FilePath -> FilePath -> IO ()Source

Read in assembly file and process